org.eclipse.actf.model.ui.editor.browser

## Class DefaultWebBrowserNavigationEventListener

- java.lang.Object
- - org.eclipse.actf.model.ui.editor.browser.DefaultWebBrowserNavigationEventListener

All Implemented Interfaces:
  IWebBrowserNavigationEventListener

    public class DefaultWebBrowserNavigationEventListener
    extends Object
    implements IWebBrowserNavigationEventListener

Default event handler to dispatch navigation event to the current active `IWebBrowserACTF`.

See Also:
  `IWebBrowserACTFEventListener`, `WebBrowserNavigationEvent`

### Constructor Summary

Constructors
Constructor and Description
`DefaultWebBrowserNavigationEventListener()`

### Method Summary

Methods
`void` `goBack(WebBrowserNavigationEvent e)` This method is called when user selects goBack navigation
`void` `goForward(WebBrowserNavigationEvent e)` This method is called when user selects goForward navigation
`void` `refresh(WebBrowserNavigationEvent e)` This method is called when user selects refresh navigation
`void` `stop(WebBrowserNavigationEvent e)` This method is called when user selects stop navigation

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultWebBrowserNavigationEventListener

    public DefaultWebBrowserNavigationEventListener()

### Method Detail

#### goBack

    public void goBack(WebBrowserNavigationEvent e)

Description copied from interface: `IWebBrowserNavigationEventListener`
This method is called when user selects goBack navigation

Specified by:
  `goBack` in interface `IWebBrowserNavigationEventListener`
Parameters:
  `e` - event information including target `IWebBrowserACTF` to handle this event

#### goForward

    public void goForward(WebBrowserNavigationEvent e)

Description copied from interface: `IWebBrowserNavigationEventListener`
This method is called when user selects goForward navigation

Specified by:
  `goForward` in interface `IWebBrowserNavigationEventListener`
Parameters:
  `e` - event information including target `IWebBrowserACTF` to handle this event

#### refresh

    public void refresh(WebBrowserNavigationEvent e)

Description copied from interface: `IWebBrowserNavigationEventListener`
This method is called when user selects refresh navigation

Specified by:
  `refresh` in interface `IWebBrowserNavigationEventListener`
Parameters:
  `e` - event information including target `IWebBrowserACTF` to handle this event

#### stop

    public void stop(WebBrowserNavigationEvent e)

Description copied from interface: `IWebBrowserNavigationEventListener`
This method is called when user selects stop navigation

Specified by:
  `stop` in interface `IWebBrowserNavigationEventListener`
Parameters:
  `e` - event information including target `IWebBrowserACTF` to handle this event